com.lowagie.text.pdf

## Class PdfBorderDictionary

- java.lang.Object
- - com.lowagie.text.pdf.PdfObject
  - - com.lowagie.text.pdf.PdfDictionary
    - - com.lowagie.text.pdf.PdfBorderDictionary

-     public class PdfBorderDictionary
      extends PdfDictionary

  A `PdfBorderDictionary` define the appearance of a Border (Annotations).
  See Also:
    `PdfDictionary`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `STYLE_BEVELED`
    `static int` | `STYLE_DASHED`
    `static int` | `STYLE_INSET`
    `static int` | `STYLE_SOLID`
    `static int` | `STYLE_UNDERLINE`

    - ### Fields inherited from class com.lowagie.text.pdf.PdfDictionary

      `CATALOG, FONT, hashMap, OUTLINES, PAGE, PAGES`

    - ### Fields inherited from class com.lowagie.text.pdf.PdfObject

      `ARRAY, BOOLEAN, bytes, DICTIONARY, INDIRECT, indRef, NAME, NOTHING, NULL, NUMBER, STREAM, STRING, TEXT_PDFDOCENCODING, TEXT_UNICODE, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PdfBorderDictionary(float borderWidth, int borderStyle)`
    `PdfBorderDictionary(float borderWidth, int borderStyle, PdfDashPattern dashes)` Constructs a `PdfBorderDictionary`.

  - ### Method Summary

    - ### Methods inherited from class com.lowagie.text.pdf.PdfDictionary

      `contains, get, getAsArray, getAsBoolean, getAsDict, getAsIndirectObject, getAsName, getAsNumber, getAsStream, getAsString, getDirectObject, getKeys, isCatalog, isFont, isOutlineTree, isPage, isPages, merge, mergeDifferent, put, putAll, putEx, remove, size, toPdf, toString`

    - ### Methods inherited from class com.lowagie.text.pdf.PdfObject

      `canBeInObjStm, getBytes, getIndRef, isArray, isBoolean, isDictionary, isIndirect, isName, isNull, isNumber, isStream, isString, length, setContent, setIndRef, type`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### STYLE_SOLID

          public static final int STYLE_SOLID

      See Also:
        Constant Field Values

    - #### STYLE_DASHED

          public static final int STYLE_DASHED

      See Also:
        Constant Field Values

    - #### STYLE_BEVELED

          public static final int STYLE_BEVELED

      See Also:
        Constant Field Values

    - #### STYLE_INSET

          public static final int STYLE_INSET

      See Also:
        Constant Field Values

    - #### STYLE_UNDERLINE

          public static final int STYLE_UNDERLINE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PdfBorderDictionary

          public PdfBorderDictionary(float borderWidth,
                             int borderStyle,
                             PdfDashPattern dashes)

      Constructs a `PdfBorderDictionary`.

    - #### PdfBorderDictionary

          public PdfBorderDictionary(float borderWidth,
                             int borderStyle)